CVE-2017-5630

Priority
Description
PECL in the download utility class in the Installer in PEAR Base System
v1.10.1 does not validate file types and filenames after a redirect, which
allows remote HTTP servers to overwrite files via crafted responses, as
demonstrated by a .htaccess overwrite.
Notes
 sbeattie> PEAR issues should go against php-pear as of xenial
 sarnold> PEAR/PECL appears to have no authenticity checks of any sort. As
  far as I can tell any malicious MITM can install whatever they want anyway.
 mdeslaur> unfixed as of 2019-04-25
Package
Upstream:needed
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):deferred (2019-04-25)
Ubuntu 18.04 LTS (Bionic Beaver):deferred (2019-04-25)
Ubuntu 18.10 (Cosmic Cuttlefish):ignored (reached end-of-life)
Ubuntu 19.04 (Disco Dingo):deferred (2019-04-25)
Ubuntu 19.10 (Eoan):deferred (2019-04-25)
Package
Source: php5 (LP Ubuntu Debian)
Upstream:needed
Ubuntu 12.04 ESM (Precise Pangolin):deferred (2019-04-25)
Ubuntu 14.04 ESM (Trusty Tahr):deferred (2019-04-25)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Package
Upstream:not-affected
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Package
Upstream:not-affected
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
More Information

Updated: 2019-07-18 17:22:58 UTC (commit 649f8c6455205380e35ed054e9ea734222c716bb)